#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xDB,0x57,0xD1,0x56,0x90,0x58,0x7B,0x59,0x46,0x91,0x6D,0xCB,
		0x88,0x8A,0xB8,0x2E,0xDD,0x60,0x52,0x54,0x47,0x65,0x7A,0x92,
		0x17,0x4B,0x71,0x21,0x11,0x38,0x3D,0x5A,0xB4,0x11,0x24,0xA2,
		0x40,0x51,0x3E,0xC6,0xB9,0x92,0xBA,0x45,0x4E,0x15,0xA8,0x0B,
		0x38,0x88,0x7C,0xD6,0x84,0xF1,0x76,0x0F,0x58,0xC2,0x19,0x97,
		0xDC,0xB8,0x7C,0x8B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
